jQuery(document).ready(function(){
	jQuery("#box_otp input").keyup(function(e) {
	  if(jQuery(this).val().length == 1) {
	    var input_flds = jQuery(this).closest('#ghl_auth_otp #box_otp').find(':input');
	    input_flds.eq(input_flds.index(this) + 1).focus();
	  }
	  if (e.keyCode==8 && e.currentTarget.name !== 'otp_1') {
	    var input_flds = jQuery(this).closest('#ghl_auth_otp #box_otp').find(':input');
	    input_flds.eq(input_flds.index(this) - 1).focus();
	  }
	});

	jQuery( ".btn_submit" ).on('click',function( event ) {
		var type_otp = jQuery('#ghl_auth_otp').attr('data-type');
		if(type_otp == 'email'){
			jQuery('#ghl_error').html('');
			jQuery("#ghl_loading").show();
			jQuery(".btn_submit" ).hide();

			jQuery.post(ajaxurl,
				{
				  'action': 'ghl_exec_auth_otp_email',
				  'ghl_otp_1' : jQuery('#otp_1').val(),
				  'ghl_otp_2' : jQuery('#otp_2').val(),
				  'ghl_otp_3' : jQuery('#otp_3').val(),
				  'ghl_otp_4' : jQuery('#otp_4').val()
	 			},
				function(ac_result){
				  var ac_result = JSON.parse(ac_result);
				  if(ac_result.error){
				  	if(ac_result.error.url){
				  		window.location = ac_result.error.url;
				  	}else{
						jQuery("#ghl_loading").hide();
						jQuery(".btn_submit" ).show();
					  	jQuery('#ghl_error').html('<div class="css-n9jk6">'+ac_result.error.description+'</div>');
				  	}
				  }
				  if(ac_result.success){
				  	window.location = ac_result.success.url;
				  }
				}
			);
		}
		if(type_otp == 'password'){
			var code_otp = jQuery('#ghl_auth_otp').attr('code-otp');
			if(!code_otp){
				jQuery('#box_otp #ghl_error').html('');
				jQuery("#box_otp #ghl_loading").show();
				jQuery("#box_otp .btn_submit" ).hide();
				jQuery.post(ajaxurl,
					{
					  'action': 'ghl_exec_auth_otp_password',
					  'ghl_otp_1' : jQuery('#otp_1').val(),
					  'ghl_otp_2' : jQuery('#otp_2').val(),
					  'ghl_otp_3' : jQuery('#otp_3').val(),
					  'ghl_otp_4' : jQuery('#otp_4').val()
		 			},
					function(ac_result){
					  var ac_result = JSON.parse(ac_result);
					  if(ac_result.error){
					  	if(ac_result.error.url){
					  		window.location = ac_result.error.url;
					  	}else{
							jQuery("#box_otp #ghl_loading").hide();
							jQuery("#box_otp .btn_submit" ).show();
						  	jQuery('#box_otp #ghl_error').html('<div class="css-n9jk6">'+ac_result.error.description+'</div>');
					  	}
					  }
					  if(ac_result.success){
					  	jQuery('#ghl_auth_otp').attr('code-otp', ac_result.success.code_otp);
					  	jQuery('#box_otp').hide();
					  	jQuery('#box_password').show();
					  }
					}
				);
			}else{
				jQuery('#box_password #ghl_error').html('');
				jQuery("#box_password #ghl_loading").show();
				jQuery("#box_password .btn_submit" ).hide();
				jQuery.post(ajaxurl,
					{
					  'action': 'ghl_exec_auth_otp_password',
					  'request': 'change_password',
					  'ghl_otp' : code_otp,
					  'ghl_pwd' : jQuery('#pwd').val(),
					  'ghl_repwd' : jQuery('#repwd').val()
		 			},
					function(ac_result){
					  var ac_result = JSON.parse(ac_result);
					  if(ac_result.error){
					  	if(ac_result.error.url){
					  		window.location = ac_result.error.url;
					  	}else{
							jQuery("#box_password #ghl_loading").hide();
							jQuery("#box_password .btn_submit" ).show();
						  	jQuery('#box_password #ghl_error').html('<div class="css-n9jk6">'+ac_result.error.description+'</div>');
					  	}
					  }
					  if(ac_result.success){
					  	window.location = ac_result.success.url;
					  }
					}
				);
			}
		}

	});

  /**
   * Pointage vers api système
   */
    ghl_ping_system('ghl_auth_otp');
});