jQuery(document).ready(function(){
	/**
	 * Gestion du menu tab
	 */
		ghl_tab();
	/**
	* Vérifie les changements à enregistrer via autosave
	*/
	jQuery(".ghl_autosave").bind("change", function(e) {
		var ghl_this = jQuery(this);
		var setting_update = jQuery(this).attr('name');
		var setting_value = jQuery(this).val();

		/**
		* Sauvegarde est en cours
		*/
		if(ghl_this.hasClass("ghl_autosave_info")) {
			ghl_this.addClass('ghl_autosave_progress');
		}else{
			ghl_this.parents('.ghl_autosave_info').addClass('ghl_autosave_progress');
		}

		/**
		* Récupère la valeur d'un checkbox
		*/
		if(ghl_this.is(':checkbox')){
			if(ghl_this.is(':checked')){
				var setting_value = 'on';
			}else{
				var setting_value = 'off';
			}
		}
		jQuery.post(ajaxurl,{
			'action': 'ghl_exec_settings',
			'setting_update': setting_update,
			'setting_value': setting_value
			},
			function(ac_result){
				var ac_result = JSON.parse(ac_result);
				if(ac_result.error){
					/**
					* Sauvegarde erreur
					*/
					if(ghl_this.hasClass("ghl_autosave_info")) {
						ghl_this.removeClass('ghl_autosave_progress');
					}else{
						ghl_this.parents('.ghl_autosave_info').removeClass('ghl_autosave_progress');
					}
					ghl_notification_save('error');
				}
				if(ac_result.success){
					/**
					* Sauvegarde terminer
					*/
					if(ghl_this.hasClass("ghl_autosave_info")) {
						ghl_this.removeClass('ghl_autosave_progress');
					}else{
						ghl_this.parents('.ghl_autosave_info').removeClass('ghl_autosave_progress');
					}
					ghl_notification_save('success');
				}
			}
		);

	});

	/**
	 * Affiche l'éditeur de code (css)
	 */
	var subpage_post = 	CodeMirror(function(elt) { editor_css_post.parentNode.replaceChild(elt, editor_css_post)}, {lineNumbers: 1,value: editor_css_post.value});
	subpage_post.on('change',function(cMirror){
		var vcm = cMirror.getValue();
		jQuery("#ghl_sst_subpage_post .athow_input").val(vcm).trigger( "change" );
	});

	var subpage_page = CodeMirror(function(elt) { editor_css_page.parentNode.replaceChild(elt, editor_css_page)}, {lineNumbers: 1,value: editor_css_page.value});
	subpage_page.on('change',function(cMirror){
		var vcm = cMirror.getValue();
		jQuery("#ghl_sst_subpage_page .athow_input").val(vcm).trigger( "change" );
	});
	var subpage_menu = CodeMirror(function(elt) { editor_css_menu.parentNode.replaceChild(elt, editor_css_menu)}, {lineNumbers: 1,value: editor_css_menu.value});
	subpage_menu.on('change',function(cMirror){
		var vcm = cMirror.getValue();
		jQuery("#ghl_sst_subpage_menu .athow_input").val(vcm).trigger( "change" );
	});

	jQuery('body').on('click', "#page_editor_css", function( event ) {
		subpage_post.refresh();
	});
	jQuery('body').on('click', "#ghl_st_page_editor_css .btn_subtab", function( event ) {
		switch (this.id) {
			case 'subpage_post':
				subpage_post.refresh();
			break;
			case 'subpage_page':
				subpage_page.refresh();
			break;
			case 'subpage_menu':
				subpage_menu.refresh();
			break;
		}
	});

	/**
      * Ajoute les changements du contenteditable dans un input
      */
     jQuery(".ghl_atwho_box .athow_content").bind("focusout", function(e) {
		jQuery(this).closest('.ghl_atwho_box').find('.athow_input').val(jQuery(this).text()).trigger( "change" );
	});

	/**
	* Pointage vers api système
	*/
	 ghl_ping_system('ghl_settings');
});