jQuery(document).ready(function(){
     jQuery( "#btn_next_step" ).on('click',function( event ) {
          jQuery( "#step_button #btn_next_step" ).hide();
          jQuery( "#step_button #ghl_loading" ).show();
          window.location = jQuery( "#box_wizard" ).attr("data-next");
     });

     jQuery( "#btn_use_cloud" ).on('click',function( event ) {
          jQuery("#ghl_box-cloud #ghl_loading").show();
          jQuery("#btn_use_cloud").hide();
          jQuery("#btn_use_wp").hide();
          jQuery.post(ajaxurl,
          {
               'action': 'ghl_exec_cloud_setting',
               'ghl_used': 'cloud',
          },
          function(ac_result){
               var ac_result = JSON.parse(ac_result);
               if(ac_result.success){
                    window.location = ac_result.success.url;
               }else{
                    jQuery.modal.close();
               }
          });
     });

     jQuery( "#btn_use_wp" ).on('click',function( event ) {
          jQuery("#ghl_box-cloud #ghl_loading").show();
          jQuery("#btn_use_cloud").hide();
          jQuery("#btn_use_wp").hide();
          jQuery.post(ajaxurl,
          {
               'action': 'ghl_exec_cloud_setting',
               'ghl_used': 'wordpress',
          },
          function(ac_result){
               var ac_result = JSON.parse(ac_result);
               if(ac_result.success){
                    window.location = ac_result.success.url;
               }else{
                    jQuery.modal.close();
               }
          });
     });

     /**
      * Changement de l'indexation du wordpress
      */
     jQuery("body").on('change', "input[name='seo_settings_noindex']", function(){
       if(jQuery(this).is(':checked')){
         jQuery('.ghl_types_content_index').prop('checked', true);
       }else{
         jQuery('.ghl_types_content_index').prop('checked', false);
       }
     })
     /**
     * Vérifie les changements à enregistrer via autosave
     */
     jQuery(".ghl_autosave").bind("change", function(e) {
       var ghl_this = jQuery(this);
       var setting_update = jQuery(this).attr('name');
       var setting_value = jQuery(this).val();

       /**
        * Sauvegarde est en cours
        */
         if(ghl_this.hasClass("ghl_autosave_info")) {
           ghl_this.addClass('ghl_autosave_progress');
         }else{
           ghl_this.parents('.ghl_autosave_info').addClass('ghl_autosave_progress');
         }

       /**
        * Récupère la valeur d'un checkbox
        */
         if(ghl_this.is(':checkbox')){
           if(ghl_this.is(':checked')){
             var setting_value = 'on';
           }else{
             var setting_value = 'off';
           }
         }

         jQuery.post(ajaxurl,
           {
             'action': 'ghl_exec_settings',
             'setting_update': setting_update,
             'setting_value': setting_value
           },
           function(ac_result){
             var ac_result = JSON.parse(ac_result);
             if(ac_result.error){
             /**
              * Sauvegarde erreur
              */
              if(ghl_this.hasClass("ghl_autosave_info")) {
                ghl_this.removeClass('ghl_autosave_progress');
              }else{
                ghl_this.parents('.ghl_autosave_info').removeClass('ghl_autosave_progress');
              }
              ghl_notification_save('error');
             }
             if(ac_result.success){
             /**
              * Sauvegarde terminer
              */
              if(ghl_this.hasClass("ghl_autosave_info")) {
                ghl_this.removeClass('ghl_autosave_progress');
              }else{
                ghl_this.parents('.ghl_autosave_info').removeClass('ghl_autosave_progress');
              }
              ghl_notification_save('success');
             }

             }
         );

     });

});
