<?php
    if ( ! function_exists( 'ghl_tpl' ) ) {
		/**
		 * Récupération automatique des élements du template
		 */
			function ghl_tpl($tpl_data){
				$ghl_folder = $tpl_data["folder"];

				$ctd = new ghl_template(ghl_plugin_folder."/tpl/".$ghl_folder."/contained.tpl");

				/**
				 * Charge le scripts
				 */
				if(file_exists(ghl_plugin_folder."/tpl/".$ghl_folder."/_root.php")){
					require ghl_plugin_folder."/tpl/".$ghl_folder."/_root.php";
				}

                    /**
				 * Charge le javascript
				 */
				if(file_exists(ghl_plugin_folder."/tpl/".$ghl_folder."/script.js")){
					$ghl_translation_javascript = ghl_fcnt_locale($ghl_folder);
                         $ghl_plugin = [
                              "url" => ghl_plugin_url
                         ];
                         wp_register_script( md5('ghl_script.js'.ghl_get_version()),  ghl_plugin_url .'tpl/'.$ghl_folder.'/script.js','', md5(ghl_get_version()), true );
                         wp_localize_script( md5('ghl_script.js'.ghl_get_version()), 'localize_'.$ghl_folder, $ghl_translation_javascript );
                         wp_localize_script( md5('ghl_script.js'.ghl_get_version()), 'ghl_plugin', $ghl_plugin );
                         wp_enqueue_script( md5('ghl_script.js'.ghl_get_version()) );
				}

				return $ctd->output();
			}
	}