jQuery(document).ready(function(){

  /**
   * Gestion du menu tab
   */
    ghl_tab();

  /**
   * Récuperation des informations de l'utilisateur
   */
     jQuery('body').on("click", "#account", function(){
          ghl_subscription_account();
          ghl_account();
     });
     if(jQuery('#ghl_tab_account').is(':visible')){
          ghl_subscription_account();
          ghl_account();
     }
     function ghl_account(){
          jQuery('#box_account #acc_detail').html('<div class="ph-item"> <div class="ph-line"> <div class="ph_email"></div> <div class="ph_firstname"></div> <div class="ph_lastname"></div> </div> </div>');
          jQuery.post(ajaxurl,
          {
               'action': 'ghl_exec_account'
          },
          function(ac_result){
               var ac_result = JSON.parse(ac_result);
               if(ac_result.error){
               }
               if(ac_result.success){
                    if(ac_result.success.account.type){
                         jQuery('.acc_show_type').hide();
                         jQuery('#'+ac_result.success.account.type).show();
                         var ghl_acc_type = ac_result.success.account.type;
                         jQuery.each(ac_result.success.account[ghl_acc_type], function(index, value){
                              jQuery('#ghl_acc_'+index).val(value);
                         });
                    }else{
                    jQuery('#individual').show();
                    }
                    jQuery('#box_account #acc_detail').html(ac_result.success.preview);
               }
          });
     }

    /**
     * Change le type du compte
     */
     jQuery("#ghl_acc_type_account").change(function() {
          var type_account_id = jQuery(this).find(":checked").val();
          jQuery("#ghl_box_manage_account .acc_show_type").hide();
          jQuery("#"+type_account_id).show();
     });

    /**
     * Mise à jour des informations utilisateur
     */
     jQuery("#ghl_account_update").submit(function(e){
          event.preventDefault();
          jQuery("#ghl_account_update #ghl_loading").show();
          jQuery("#ghl_account_update #btn_take_hand").hide();
          jQuery.post(ajaxurl,
          {
               'action': 'ghl_exec_account',
               'ghl_method': 'ghl_account_update',
               'ghl_data': jQuery(this).serialize(),
          },
          function(ac_result){
               var ac_result = JSON.parse(ac_result);
               if(ac_result.error){
               }
               if(ac_result.success){
                    jQuery.modal.close();
                    ghl_account();
               }
               jQuery("#ghl_account_update #ghl_loading").hide();
               jQuery("#ghl_account_update #btn_take_hand").show();
          });
     });

     function ghl_subscription_account(){
          jQuery('#box_subscription').html('<div class="css-5fedf0e85f"> <div class="css-sf50sdfg5ze"> <div id="acc_sub_date" class="css-sf5egf0ef"><div class="ph-item"> <div class="ph-line"> <div class="ph_sub_date"></div> </div> </div></div> </div> <div class="css-sf52d0fefe"> <div id="acc_sub_title" class="css-f5e0fgegve"><div class="ph-item"> <div class="ph-line"> <div class="ph_title"></div> </div> </div></div> <div id="acc_sub_next_billing" class="css-sq65df6fdv"><div class="ph-item"> <div class="ph-line"> <div class="ph_next_billing"></div> </div> </div></div> </div> </div> <div id="acc_sub_btn" class="css-5fe0f5eze"><div class="ph-item"> <div class="ph-line"> <div class="ph_sub_btn"></div> </div> </div></div>');
          jQuery.post(ajaxurl,
          {
               'action': 'ghl_exec_user_subscription'
          },
          function(ac_result){
               var ac_result = JSON.parse(ac_result);
               if(ac_result.error){
               }
               if(ac_result.success){
                    jQuery('#box_subscription').html(ac_result.success.subscription.box);
                    if(ac_result.success.subscription.issue){
                         jQuery('#box_issue').html(ac_result.success.subscription.issue);
                    }
               }
          });
     }

     /**
     * Gestion du compte
     */
     jQuery("body").on('click', "#manage_account", function() {
          jQuery("#ghl_manage_account").modal({backdrop: 'static',keyboard: false});
     });


     /**
     * Mise à jour des information de paiements
     */
     jQuery("body").on('click', "#update_payment", function() {
          jQuery('#ghl_update_payment .ghl_box_stripe_preview').html('<div id="box_cardx" class="ghl_stripe_card"> <div class="ph-item"> <div class="ph-line">  <div class="ph_card_title"></div> <div class="ph_card_number"></div> <div class="ph_card_btn"></div> </div> </div> </div>');
          jQuery("#ghl_update_payment").modal({backdrop: 'static',keyboard: false});
          jQuery.post(ajaxurl,
          {
               'action': 'ghl_exec_stripe',
               'product_type': 'account',
               'stripe_type': 'get_payment'
          },
          function(ac_result){
               var ac_result = JSON.parse(ac_result);
               if(ac_result.error){
                    jQuery.modal.close();
               }
               if(ac_result.success){
                    jQuery('#ghl_update_payment .ghl_box_stripe_preview').html(ac_result.success.preview);
                    ghl_stripe(ac_result.success.stripe.pk);
               }
          });
          return false;
     });

     /**
     * Stripe : Aperçu et vérification de la carte
     */
     function ghl_stripe(a){
          var stripe = Stripe(a);
          var elements = stripe.elements();
          var card = elements.create('card');
          card.mount('#card-element');
          card.addEventListener('change', function(event) {
               var displayError = document.getElementById('card-errors');
               if(event.error){
                    displayError.textContent = event.error.message;
               }else{
                    displayError.textContent = '';
               }
          });
          var form = document.getElementById('payment-form');
          form.addEventListener('submit', function(event) {
               jQuery("#payment-form #loading_payment").show();
               jQuery("#payment-form #success_payment").hide();
               jQuery("#payment-form #error_payment").hide();
               jQuery("#payment-form #submit_payment").hide();
               event.preventDefault();
               stripe.createToken(card).then(function(result) {
                    if (result.error) {
                         jQuery("#payment-form #loading_payment").hide();
                         jQuery("#payment-form #success_payment").hide();
                         jQuery("#payment-form #submit_payment").show();
                         var errorElement = document.getElementById('card-errors');
                         errorElement.textContent = result.error.message;
                    } else {
                         ghl_stripe_TokenHandler(result.token);
                    }
               });
          });
     }

     /**
     * Stripe : Paiement et validation de l'abonnement
     */
     function ghl_stripe_TokenHandler(c){
          jQuery.post(ajaxurl,
          {
               'action': 'ghl_exec_stripe',
               'product_type': 'account',
               'stripe_type': 'update_payment',
               'stripe_token': c.id
          },
          function(ac_result){
               var ac_result = JSON.parse(ac_result);
               if(ac_result.error){
                    jQuery("#payment-form #loading_payment").hide();
                    jQuery("#payment-form #error_payment").show();
                    jQuery("#payment-form #submit_payment").hide();
                    jQuery("#payment-form #success_payment").hide();
               }
               if(ac_result.success){
                    jQuery("#payment-form #error_payment").hide();
                    jQuery("#payment-form #loading_payment").hide();
                    jQuery("#payment-form #success_payment").show();
                    jQuery("#payment-form #submit_payment").hide();
                    window.location = ac_result.success.url;
               }
          });
     }

     /**
     * Annulation de l'abonnement
     */
     jQuery("body").on('click', "#cancelled_sub", function() {
          jQuery("#ghl_cancelled_sub").modal({backdrop: 'static',keyboard: false});
     });
     jQuery("body").on('click', "#btn_cancelled_sub.css-35f2ve0f", function() {
          jQuery('#ghl_cancelled_sub #btn_cancelled_sub').hide();
          jQuery('#ghl_cancelled_sub #ghl_loading').show();
          var reason = jQuery('.ghl_cancelled_reasons').val();
          jQuery.post(ajaxurl,
               {
                    'action': 'ghl_exec_stripe',
                    'product_type': 'subscription',
                    'stripe_type': 'canceled',
                    'reason': reason
               },
               function(ac_result){
                    var ac_result = JSON.parse(ac_result);
                    if(ac_result.error){
                    }
                    if(ac_result.success){
                          window.location = ac_result.success.url;
                    }
               }
          );
     });

     /**
     * Réactivation de l'annulation
     */
     jQuery("body").on('click', "#btn_reactivate_sub", function() {
          jQuery('#reactivate_sub #btn_reactivate_sub').hide();
          jQuery('#reactivate_sub #ghl_loading').show();
          jQuery.post(ajaxurl,
               {
                    'action': 'ghl_exec_stripe',
                    'product_type': 'subscription',
                    'stripe_type': 'reactivate',
               },
               function(ac_result){
                    var ac_result = JSON.parse(ac_result);
                    if(ac_result.error){
                    }
                    if(ac_result.success){
                         window.location = ac_result.success.url;
                    }
               }
          );
     });

     /**
     * Tentative de paiement
     */
     jQuery("body").on("click", "#box_issue #try_again", function() {
          jQuery('#box_issue #try_again').hide();
          jQuery('#box_issue #ghl_loading').show();

          jQuery.post(ajaxurl,
          {
               'action': 'ghl_exec_stripe',
               'product_type' : 'subscription',
               'stripe_type': 'unpaid'
          },
          function(ac_result){
               var ac_result = JSON.parse(ac_result);
               if(ac_result.error){
               }
               if(ac_result.success){
                    window.location = ac_result.success.url;
               }
          }
          );
     });

     /**
     * Femeture de la modal
     */
     jQuery("body").on('click', ".close_modal", function() {
          jQuery.modal.close();
     });
     jQuery('body').on("keyup", ".ghl_cancelled_reasons", function(){
          console.log('dskfl,sd');
          if( jQuery(this).val() ){
               console.log('lll')
               jQuery("#btn_cancelled_sub").addClass("css-35f2ve0f");
          }else{
               jQuery("#btn_cancelled_sub").removeClass("css-35f2ve0f");
          }
     });

  /**
   * Recupération des liste de vos wordpress
   */
    jQuery('body').on("click", "#wordpress", function(){
      ghl_list_wordpress();
    });
    if(jQuery('#ghl_list_wordpress').is(':visible')){
      ghl_list_wordpress();
    }
    function ghl_list_wordpress(){
      jQuery('#ghl_list_wordpress').html('<div class="ph-item"> <div class="ph-line"> <div class="ph_list_wordpress"></div> </div> </div>');
      jQuery.post(ajaxurl,
        {
          'action': 'ghl_exec_user_wordpress'
        },
        function(ac_result){
          var ac_result = JSON.parse(ac_result);
          if(ac_result.error){

          }
          if(ac_result.success){
            jQuery('#ghl_list_wordpress').html(ac_result.success.wordpress);
          }
        }
      );
    }

  /**
   * Récuperation des factures de l'utilisateur
   */
    jQuery('body').on("click", "#invoice", function(){
      ghl_invoice();
    });
    if(jQuery('#ghl_tab_invoice').is(':visible')){
      ghl_invoice();
    }
    function ghl_invoice(){
      jQuery('#ghl_list_invoices').html('<div class="ph-item"> <div class="ph-line"> <div class="ph_list_invoice"></div> <div class="ph_list_invoice"></div> <div class="ph_list_invoice"></div> </div> </div>');
      jQuery.post(ajaxurl,
        {
          'action': 'ghl_exec_user_invoice',
          'ghl_method' : 'list_invoice'
        },
        function(ac_result){
          var ac_result = JSON.parse(ac_result);
          if(ac_result.error){

          }
          if(ac_result.success){
          jQuery('#ghl_list_invoices').html(ac_result.success.invoices);
          }
        }
      );
    }
  /**
   *
   */
    jQuery('body').on("click", ".ghl_open_pdf_invoice", function(){
      var ghl_btn = jQuery(this);
      jQuery(ghl_btn).closest('.ghl_list_invoice').find("#loading").show();
      jQuery(ghl_btn).closest('.ghl_list_invoice').find(".ghl_btn_menu").hide();
      var invoice_uuid = jQuery(ghl_btn).closest('.ghl_list_invoice').attr('data-uuid');
      var invoice_id = jQuery(ghl_btn).closest('.ghl_list_invoice').attr('data-invoice');
      jQuery.post(ajaxurl,
        {
          'action': 'ghl_exec_user_invoice',
          'ghl_method' : 'pdf_invoice',
          'ghl_uuid' : invoice_uuid,
          'ghl_invoice' : invoice_id
        },
        function(ac_result){
          var ac_result = JSON.parse(ac_result);
          if(ac_result.error){
            jQuery(ghl_btn).closest('.ghl_list_invoice').find("#loading").hide();
            jQuery(ghl_btn).closest('.ghl_list_invoice').find(".ghl_btn_menu").show();
            jQuery(ghl_btn).closest('.ghl_list_invoice').find(".ghl_show_menu").hide();
          }
          if(ac_result.success){
            jQuery(ghl_btn).closest('.ghl_list_invoice').find("#loading").hide();
            jQuery(ghl_btn).closest('.ghl_list_invoice').find(".ghl_btn_menu").show();
            jQuery(ghl_btn).closest('.ghl_list_invoice').find(".ghl_show_menu").hide();
            window.location = ac_result.success.url;
          }
        }
      );
    });


  /**
   * Supprime l'association d'un wordpress
   */
      jQuery("body").on("click", ".ghl_open_remove_linked", function() {
        jQuery('#ghl_list_wordpress').html('<div class="ph-item"> <div class="ph-line"> <div class="ph_list_wordpress"></div> </div> </div>');
        var ghl_user_wp = jQuery(this).closest('.ghl_list_wordpress').attr('data-uuid');
        jQuery.post(ajaxurl,
          {
            'action': 'ghl_exec_user_wordpress',
            'ghl_method' : 'remove_linked',
            'ghl_uuid': ghl_user_wp
          },
          function(ac_result){
            var ac_result = JSON.parse(ac_result);
            if(ac_result.error){
            }
            if(ac_result.success){
              jQuery('#ghl_list_wordpress').html(ac_result.success.wordpress);
            }
          }
        );
      });

  /**
   * Supprime un wordpress du compte
   */
      jQuery("body").on("click", ".ghl_open_remove_wordpress", function() {
        jQuery('#ghl_list_wordpress').html('<div class="ph-item"> <div class="ph-line"> <div class="ph_list_wordpress"></div> </div> </div>');
        var ghl_user_wp = jQuery(this).closest('.ghl_list_wordpress').attr('data-uuid');
        jQuery.post(ajaxurl,
          {
            'action': 'ghl_exec_user_wordpress',
            'ghl_method' : 'remove_wordpress',
            'ghl_uuid': ghl_user_wp
          },
          function(ac_result){
            var ac_result = JSON.parse(ac_result);
            if(ac_result.error){
            }
            if(ac_result.success){
              jQuery('#ghl_list_wordpress').html(ac_result.success.wordpress);
            }
          }
        );
      });

  /**
   * Ajouter un abonnement à un wordpress
   */
      jQuery("body").on("click", ".ghl_open_add_subscription", function() {
        var ghl_remaining = jQuery(this).closest('.ghl_list_wordpress').attr('data-remaining');
        var ghl_uuid = jQuery(this).closest('.ghl_list_wordpress').attr('data-uuid');
        switch (ghl_remaining) {
          case 'true':
            jQuery("#ghl_box_add_subscription").modal();
            jQuery('#ghl_box_add_subscription').attr('data-uuid',ghl_uuid);
          break;
          case 'false':
            jQuery("#ghl_box_change_subscription").modal();
          break;
          case 'empty':
            jQuery("#ghl_box_new_subscription").modal();
          break;
        }
      });

  /**
   * Supprime un abonnement à un wordpress
   */
      jQuery("body").on("click", ".ghl_remove_subscription", function() {
        jQuery('#ghl_list_wordpress').html('<div class="ph-item"> <div class="ph-line"> <div class="ph_list_wordpress"></div> </div> </div>');
        var ghl_user_wp = jQuery(this).closest('.ghl_list_wordpress').attr('data-uuid');
        jQuery.post(ajaxurl,
          {
            'action': 'ghl_exec_user_wordpress',
            'ghl_method' : 'remove_subscription',
            'ghl_uuid': ghl_user_wp
          },
          function(ac_result){
            var ac_result = JSON.parse(ac_result);
            if(ac_result.error){
            }
            if(ac_result.success){
              jQuery('#ghl_list_wordpress').html(ac_result.success.wordpress);
            }
          }
        );
      });

  /**
   * Ajoute un abonnement à un wordpress
   */
      jQuery("body").on("click", "#ghl_add_subscription", function() {
        jQuery('#ghl_list_wordpress').html('<div class="ph-item"> <div class="ph-line"> <div class="ph_list_wordpress"></div> </div> </div>');
        jQuery.modal.close();
        var ghl_user_wp = jQuery('#ghl_box_add_subscription').attr('data-uuid');
        jQuery.post(ajaxurl,
          {
            'action': 'ghl_exec_user_wordpress',
            'ghl_method' : 'add_subscription',
            'ghl_uuid': ghl_user_wp
          },
          function(ac_result){
            var ac_result = JSON.parse(ac_result);
            if(ac_result.error){
            }
            if(ac_result.success){
              jQuery('#ghl_list_wordpress').html(ac_result.success.wordpress);
            }
          }
        );
      });

  /**
   * Réassocier un abonnement à un wordpress
   */
      jQuery("body").on("click", ".ghl_reassociate", function() {
        jQuery('#ghl_list_wordpress').html('<div class="ph-item"> <div class="ph-line"> <div class="ph_list_wordpress"></div> </div> </div>');
        var ghl_user_wp = jQuery(this).closest('.ghl_list_wordpress').attr('data-uuid');
        jQuery.post(ajaxurl,
          {
            'action': 'ghl_exec_user_wordpress',
            'ghl_method' : 'reassociate_subscription',
            'ghl_uuid': ghl_user_wp
          },
          function(ac_result){
            var ac_result = JSON.parse(ac_result);
            if(ac_result.error){
            }
            if(ac_result.success){
              jQuery('#ghl_list_wordpress').html(ac_result.success.wordpress);
            }
          }
        );
      });

    /**
     * Lors d'un clique pour ouvrire le menu
     */
      jQuery('body').on('click', ".ghl_btn_menu", function( event ) {
        var show_menu = jQuery(this).find('.ghl_show_menu').is(':hidden');
        jQuery('.ghl_show_menu').hide();
        if(show_menu){
          jQuery(this).find('.ghl_show_menu').show();
        }

      });
      jQuery(document).click(function(event) {
        if(!event.target.closest('.ghl_btn_menu')) {
          jQuery('.ghl_show_menu').hide();
        }
      });

      /**
      * Pointage vers api système
      */
       ghl_ping_system('ghl_account');
});
